## phonon 4.6.0really4.4.2

=== debian/changelog ===
phonon (4:4.6.0really4.4.2-1) unstable; urgency=low

  * New upstream release:
    - fixes PulseAudio breakage in xine backend (Closes: #582716).
  * Switch to 3.0 (quilt) format:
    - build depend on pkg-kde-tools (>= 0.9);
    - set appropriate debian/source/format;
    - remove quilt from build depends;
    - use original tar.bz2 tarballs from now on.
  * Update symbol file.
  * Drop unused phonon-backend-null lintian-override.

 -- Modestas Vainius <modax@debian.org>  Tue, 08 Jun 2010 02:13:01 +0300

phonon (4:4.6.0really4.4.1-2) unstable; urgency=low

  * Update symbol file for armel, fixes FTBFS.

 -- Modestas Vainius <modax@debian.org>  Sun, 09 May 2010 12:42:34 +0300

phonon (4:4.6.0really4.4.1-1) unstable; urgency=low

  * New upstream release:
   - fixes crash when opening PDF document (Closes: #580802);

  [ Modestas Vainius ]
  * Add debian/watch.
  * Update patches:
    - refresh 01 and 02;
    - adapt 03 to upstream changes;
    - remove 04, was stolen from upstream.
  * Use dh_xine, version libxine-dev build dependency to >= 1.1.16.3
    (Closes: #575115).
  * Update libphonon4 symbol file.
  * Add ${misc:Depends} to phonon-backend-null.
  * Update libphonon-dev.install: ship new style CamelCase headers in
    /usr/include/phonon.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 09 May 2010 00:55:16 +0300

phonon (4:4.6.0really4.4.0-4) unstable; urgency=high

  [ Modestas Vainius ]
  * Make libphonon-dev depend on libqt4-dev.
  * Manually create /usr/include/qt4/phonon symlink on upgrades.
    See #404850 why dpkg does not create it by itself.
  * Urgency high as the bug leaves Phonon undiscoverable by KDE
    FindPhonon.cmake after upgrade and the buggy libphonon-dev is already in
    testing.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 29 Apr 2010 00:52:29 +0300

phonon (4:4.6.0really4.4.0-3) unstable; urgency=low

  [ Pino Toscano ]
  * phonon-backend-gstreamer: depend on gstreamer0.10-alsa only on Linux
    architectures, as ALSA is available only there. (Closes: #578255)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 17 Apr 2010 00:56:32 +0200

phonon (4:4.6.0really4.4.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Modestas Vainius <modax@debian.org>  Wed, 14 Apr 2010 23:13:57 +0300

phonon (4:4.6.0really4.4.0-1) experimental; urgency=low

  * New upstream release (4.4.0).

  [ Modestas Vainius ]
  * Add 04_skip_pa_detection_if_no_glib_loop.diff patch which fixes phonon
    hang if GLib loop is disabled in Qt.
  * Refresh patches.
  * Update libphonon4 symbol file.
  * Update libphonon-dev.install: add pulsesupport.h.
  * Override lintian "phonon-backend-null: empty-binary-package".
  * Add explicit debian/source/format as lintian suggests.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 07 Apr 2010 01:42:07 +0300

phonon (4:4.6.0really4.3.80-1) experimental; urgency=low

  * New upstream release (using really-style version number).

  [ Fathi Boudra ]
  * Build Phonon from kdesupport again:
    - Add phonon, phonon-dbg, libphonon4 and libphonon-dev packages.
  * Remove patches:
    - 02_disable_phonon_build.diff - dropped.
    - 03_r950739_fullscreen_hidecursor.diff - stolen upstream.
    - 05_924144_encoding_local_files_fix.diff - stolen upstream.
    - 06_983650_play_filenames_with_hash.diff - stolen upstream.
    - 07_feature_backport_xine_equalizer.diff - stolen upstream.
  * Update debian/control:
    - Bump build dependencies (debhelper and pkg-kde-tools).
    - Add libpulse-dev build dependency.
    - Remove libphonon-dev build dependency.
    - Bump Standards-Version from 3.8.2 to 3.8.4 (no changes needed).

  [ Ana Beatriz Guerrero Lopez ]
  * Remove myself from Uploaders.

  [ Modestas Vainius ]
  * Change my email address to modax@debian.org in Uploaders field.
  * Fix Vcs-Browser URL.
  * Improve descriptions.
  * Downgrade Qt build dependency to 4.5.
  * Bump version to 4:4.6.0really4.3.80 to be higher than the last
    release of the Phonon libraries with the qt4-x11 source package.
  * Convert libphonon4.symbols to new pkg-kde-tools 0.6 style, adjust
    for 4.3.80 release.
  * Do not install "experimental" headers to libphonon-dev.
  * Add libphonon4 lintian overrides for
    {shlibs,symbols}-declares-dependency-on-other-package warnings.
  * Add 02_no_rpath.patch patch to disable /usr/lib RPATH by default.
  * Add DEP-3 patch header to 01_phonon-inc.patch.
  * Tweak copyright file a bit so lintian stops thinking it's of
    old-dh-make style. Also bump years of packaging copyright.
  * Add phonon-backends-dbg to phonon-dbg Conflicts and Replaces.
  * Do not version dependency on the phonon metapackage.
  * Use strict interdependencies among backends and libphonon4.
  * Build depend on dpkg-dev 1.15.5.
  * Make libphonon4 break phonon-backend-xine (<< 4:4.6.0really4.3.80).

  [ Sune Vuorela ]
  * Fix installing of include headers so that others can also find them.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 01 Mar 2010 13:26:14 +0100

phonon-backends (4:4.3.1-5) unstable; urgency=low

  +++ Changes by Modestas Vainius:

  * Rename source package to phonon-backends.
  * Add phonon-backends-dbg debug package.
  * Add patch (06_983650_play_filenames_with_hash.diff) to fix playback of
    files with hash (#) symbol in their name (Closes: #546271).
  * Backport Xine equalizer support from Phonon trunk (patch
    07_feature_backport_xine_equalizer.diff).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 15 Oct 2009 20:31:26 +0300

phonon (4:4.3.1-4) unstable; urgency=low

  +++ Changes by Modestas Vainius:

  * Install backends to /usr/lib/qt4 (Closes: #539623). Otherwise pure Qt4
    applications cannot find any backends.

  +++ Changes by Sune Vuorela:

  * Backport a bugfix from upstream to fix encoding issues with filenames.
  * Fix not-installed file and remove trailing whitespaces


