## phonon 4.6.0really4.5.0

=== debian/changelog ===
phonon (4:4.6.0really4.5.0-6) unstable; urgency=low

  [ Pino Toscano ]
  * Backport upstream patch to switch from pow() to qPow(). (Closes: #650708)
    (commit d7d3a08, upstream_pulse-Use-qPow-as-pow-is-sometimes-not-found)

  [ Debconf translation updates ]
  * Dutch (Jeroen Schot). (Closes: #637506)
  * Japanese (Hideki Yamane). (Closes: #626849)
  * Slovak (Slavko). (Closes: #641958)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 02 Dec 2011 12:35:02 +0100

phonon (4:4.6.0really4.5.0-5) unstable; urgency=low

  [ Pino Toscano ]
  * Do not make X11 mandatory for phonon and its backends (patch
    findqt4_optional_x11.diff). (Closes: #641111)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 10 Sep 2011 16:05:58 +0200

phonon (4:4.6.0really4.5.0-4) unstable; urgency=low

  [Lisandro Damián Nicanor Pérez Meyer]
  * Add a B-D on libqzeitgeist-dev.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 23 Jun 2011 11:23:58 +0300

phonon (4:4.6.0really4.5.0-3) unstable; urgency=low

  [ Pino Toscano ]
  * Backport macro usage for registerMetaTypes() from upstream branch 4.5
    (commit 974fb5f, patch upstream_PHONON_EXPORT_DEPRECATED.diff).

  [ Modestas Vainius ]
  * Replace $(overriden_command) with $(overridden_command) in debian/rules.
    Requires pkg-kde-tools 0.12.
  * Bump Standards-Version to 3.9.2: no changes needed.

  [ Christian Perrier ]
  * Debconf translation updates:
    - Danish (Joe Hansen).  Closes: #620817
    - Czech (Michal Simunek).  Closes: #620855
    - German (Martin Eberhard Schauer).  Closes: #622223
    - French (Steve Petruzzello).  Closes: #622736
    - Russian (Yuri Kozlov).  Closes: #623359
    - Portuguese (Américo Monteiro).  Closes: #623421
    - Swedish (Martin Bagge / brother).  Closes: #623399
    - Spanish (Omar Campagne).  Closes: #623588

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 08 May 2011 00:20:00 +0300

phonon (4:4.6.0really4.5.0-2) unstable; urgency=low

  * Add final post-review version of package descriptions and
    phonon-backend-null.templates.

 -- Modestas Vainius <modax@debian.org>  Mon, 04 Apr 2011 00:52:30 +0300

phonon (4:4.6.0really4.5.0-1) experimental; urgency=low

  * New upstream release.
  * Drop cdbs from Build-Depends.
  * Update install files.
  * Update symbol files.
  * Manage phononexperimental ABI via phononexperimental-abi-N virual package.
  * Add ${shlibs:Depends} to libphonon-dev Depends.
  * Update package descriptions (thanks to Christian PERRIER and
    Justin B Rye).

 -- Modestas Vainius <modax@debian.org>  Sun, 27 Mar 2011 12:25:04 +0300

phonon (4:4.6.0really4.4.4-3) unstable; urgency=low

  * Fix FTBFS with binary-arch target.

 -- Modestas Vainius <modax@debian.org>  Sat, 12 Mar 2011 19:27:58 +0200

phonon (4:4.6.0really4.4.4-2) unstable; urgency=low

  * Drop phonon-backends-dbg from phonon-dbg Recommends/Breaks. No longer
    needed.
  * Readd packaging copyright/licensing to debian/copyright.
  * Bump libphonon-dev Breaks/Replaces to << 4:4.6.0really4.4.4 for
    libphononexperimental-dev. experimental/avcaptureinterface.h header which
    used to be there up to 4.4.4 (see changelog below).
  * Switch debian/rules build engine to dhmk (qt-kde-team/2/*):
    - build-depend on pkg-kde-tools >= 0.11;
    - port debian/rules to dhmk keeping it dh compatible as much as possible.
  * Drop unused ${shlibs:Depends} from libphonon-dev and
    libphononexperimental-dev packages.
  * Add README.Debian to phonon-backend-null package.
  * Remove phonon-backend-null.lintian-overrides: phonon-backend-null is no
    longer and empty package due to README.Debian (see above).
  * Release to unstable.

 -- Modestas Vainius <modax@debian.org>  Fri, 11 Mar 2011 21:39:20 +0200

phonon (4:4.6.0really4.4.4-1) experimental; urgency=low

  * New upstream release.

  [ Pino Toscano ]
  * Do not install the header experimental/avcaptureinterface.h in
    libphonon-dev, as it experimental.

  [ Modestas Vainius ]
  * Drop phonon-backend-xine and phonon-backend-gstreamer. They have been
    split off to their own source packages upstream. Only phonon-backend-null
    remains here.
  * Remove xine and gstreamer specific packages from Build-Depends.
  * Adapt 02_no_rpath.patch to upstream changes.
  * Refresh other debian patches.
  * Remove sequence number from debian patches filenames.
  * Update install files.
  * Switch default backend to phonon-backend-vlc (phonon metapackage).
  * Try to solve an issue with Phonon backends getting auto-installed on
    buildds. phonon-backend-null will be preferred if Phonon is installed via
    libphonon-dev (which normally won't be a case on user systems).
  * Add lintian override for "phonon-backend-null: empty-binary-package".
  * Reshuffle backends in the Suggests of the phonon metapackage in the order of
    preferrence.
  * Drop README.source, no longer needed since switch to 3.0 (quilt).
  * Show a debconf warning to users who end up installing phonon-backend-null
    (probably unintentionally). The warning is displayed only if both phonon
    and phonon-backend-null packages end up being installed.
  * Update debian/copyright.
  * Point Homepage to http://phonon.kde.org/.
  * Add packages (libphononexperimental4 and libphononexperimental-dev) for the
    Phonon-Experimental library. It's needed by phonon-backend-gstreamer. The
    packages include disclaimers (in the README.Debian) about expected usage of
    this library.
  * Add libphononexperimental4 to phonon-dbg Suggests.
  * phonon-dbg: replace "Conflicts: phonon-backends-dbg" with Breaks.

 -- Modestas Vainius <modax@debian.org>  Sat, 05 Mar 2011 02:38:24 +0200

phonon (4:4.6.0really4.4.3-1) experimental; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Point debian/control Vcs fields to the new Git repository.
  * Update symbol file. for 4.4.3 on amd64.
  * Update install files.

