=== debian/changelog ===
phonon (4:4.6.0really4.5.1-1) unstable; urgency=low

  * New upstream release.

  [ Pino Toscano ]
  * Update the patches:
    - phonon-inc.patch: adapt to the new version
    - phonon_is_not_forced_in_KDE.diff: refresh
    - upstream_PHONON_EXPORT_DEPRECATED.diff: drop, applied upstream
    - upstream_pulse-Use-qPow-as-pow-is-sometimes-not-found.patch: drop,
      applied upstream
  * debian/watch: update for the new path and format of tarballs.
  * Update the symbols files.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 20 Dec 2011 13:13:55 +0100
