=== debian/control ===
Source: phonon
Section: sound
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>, Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7.4.13), cmake (>= 2.6.2), pkg-kde-tools (>= 0.12),
 dpkg-dev (>= 1.15.5), automoc, libglib2.0-dev,
 libpulse-dev (>= 0.9.21), libqt4-dev (>= 4.5),
 libqzeitgeist-dev
Standards-Version: 3.9.2
Homepage: http://phonon.kde.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-req/phonon.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-req/phonon.git

Package: phonon
Architecture: all
Depends: ${misc:Depends}, libphonon4 (>= ${source:Version}),
 ${phonon:Recommended-Backend} | phonon-backend
Suggests: ${phonon:Recommended-Backend}, phonon-backend-gstreamer,
 phonon-backend-xine, phonon-backend-mplayer
Description: multimedia framework from KDE - metapackage
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This metapackage ensures that the system has a working Phonon configuration
 installed (the core library and at least one back-end).

Package: libphonon-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libphonon4 (= ${binary:Version}),
 ${sameVersionDep:libqt4-dev:libphonon4}, phonon-backend-null | phonon
Description: multimedia framework from KDE - development files
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains the development files needed to build Qt 4 applications
 using the Phonon cross-platform multimedia framework.

Package: libphonon4
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: phonon-backend-xine (<< 4:4.6.0really4.3.80)
Description: multimedia framework from KDE - core library
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains the core library of the Phonon cross-platform multimedia
 framework from KDE. It is required to run applications that use Phonon.

Package: libphononexperimental-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libphononexperimental4 (= ${binary:Version}),
 ${sameVersionDep:libqt4-dev:libphononexperimental4}
Replaces: libphonon-dev (<< 4:4.6.0really4.4.4)
Breaks: libphonon-dev (<< 4:4.6.0really4.4.4)
Description: multimedia framework from KDE - experimental development files
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains the development files needed to build Phonon back-ends
 or internal applications which need the Phonon-Experimental library.
 Third-party applications should not depend on this library. Please read
 README.Debian if you are considering a build-dependency on this package.

Package: libphononexperimental4
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: phononexperimental-abi-1
Replaces: libphonon4 (<< 4:4.6.0really4.3.80)
Breaks: libphonon4 (<< 4:4.6.0really4.3.80)
Description: multimedia framework from KDE - experimental library (internal)
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains the Phonon-Experimental library, which might be needed
 by Phonon back-ends or other internal applications. Third-party applications
 should not depend on this library. Please read README.Debian before using this
 library.

Package: phonon-backend-null
Architecture: all
Provides: phonon-backend
Depends: libphonon4, ${misc:Depends}
Conflicts: phonon-backend
Description: multimedia framework from KDE - null back-end (no real back-end)
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package does not provide any real Phonon back-end. It can be used to
 disable Phonon audio/video capabilities. Please note that Phonon behavior
 with this package installed has not been well tested.

Package: phonon-dbg
Priority: extra
Architecture: any
Section: debug
Depends: ${misc:Depends}, libphonon4 (= ${binary:Version})
Suggests: libphononexperimental4 (= ${binary:Version})
Description: multimedia framework from KDE - debugging symbols
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains debugging symbols for the Phonon library and its main
 back-ends. Install it if you want to report a crash or debug a problem with
 Phonon or its back-ends.
