## phonon 4.6.0.0

=== debian/changelog ===
phonon (4:4.6.0.0-3) unstable; urgency=low

  * Team upload.
  * Add phonon-backend-xine transitional package, transition to the vlc
    backend. This fixes the "Could not perform immediate configuration on
    'phonon-backend-vlc'" apt error on upgrades from squeeze (Closes: #669278).
    Thanks Andreas Beckmann for the patch to fix this issue.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 26 Jan 2013 11:57:09 -0300

phonon (4:4.6.0.0-2) unstable; urgency=low

  [ Debconf translation updates ]
  * Polish (Michał Kułach). (Closes: #670645)

  [ Fathi Boudra ]
  * Bump Build-Depends on Qt to >= 4.8.1.
  * Bump debian/compat to 8.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 27 Apr 2012 18:11:46 +0200

phonon (4:4.6.0.0-1+exp1) experimental; urgency=low

  * Team upload.

  [ Felix Geyer ]
  * Convert for multiarch.
    - Bump Build-Depends on Qt to >= 4.8.
    - Bump Build-Depends on debhelper to >= 8.1.3~.
    - Install libraries to multiarch paths.
    - Mark libraries Multi-Arch:same.
    - Change phonon and phonon-backend-null to arch:any and Multi-Arch:same.
    - Update no_rpath.patch to include multiarch lib paths.
    - Fix debconf prompt to cope with multi-arch:same packages.

  [ Didier Raboud ]
  * Bump Standards-Version to 3.9.3 without changes needed.

 -- Didier Raboud <odyx@debian.org>  Tue, 24 Apr 2012 17:15:50 +0200

phonon (4:4.6.0.0-1) unstable; urgency=low

  * New upstream release (4.6.0):
    - add .0 to the upstream version in order to kill "really" suffix.

  [ Debconf translation updates ]
  * Italian (Francesca Ciceri). (Closes: #656468)

  [ Sune Vuorela ]
  * Make phonon conflicts with the xine backend. People must migrate away

  [ Modestas Vainius ]
  * Adapt findqt4_optional_x11.diff to upstream changes.
  * Adapt no_rpath.patch to upstream changes.
  * Add globaldescriptioncontainer.h to phonon-inc.patch.
  * Refresh phonon_is_not_forced_in_KDE.diff.
  * Update install files.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 19 Feb 2012 18:06:07 +0200
