=== debian/control ===
--- 
+++ 
@@ -3,21 +3,30 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Modestas Vainius <modax@debian.org>, Fathi Boudra <fabo@debian.org>
-Build-Depends: debhelper (>= 7.4.13), cmake (>= 2.6.2), pkg-kde-tools (>= 0.12),
- dpkg-dev (>= 1.15.5), automoc, libglib2.0-dev,
- libpulse-dev (>= 0.9.21), libqt4-dev (>= 4.5),
- libqzeitgeist-dev
-Standards-Version: 3.9.2
+Build-Depends: automoc,
+               cmake (>= 2.6.2),
+               debhelper (>= 8.1.3~),
+               dpkg-dev (>= 1.15.5),
+               libglib2.0-dev,
+               libpulse-dev (>= 0.9.21),
+               libqt4-dev (>= 4:4.8.1),
+               libqzeitgeist-dev,
+               pkg-kde-tools (>= 0.12)
+Standards-Version: 3.9.3
 Homepage: http://phonon.kde.org/
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-req/phonon.git
 Vcs-Git: git://git.debian.org/pkg-kde/kde-req/phonon.git
 
 Package: phonon
-Architecture: all
-Depends: ${misc:Depends}, libphonon4 (>= ${source:Version}),
- ${phonon:Recommended-Backend} | phonon-backend
-Suggests: ${phonon:Recommended-Backend}, phonon-backend-gstreamer,
- phonon-backend-xine, phonon-backend-mplayer
+Architecture: any
+Multi-Arch: same
+Depends: libphonon4 (>= ${source:Version}),
+         ${misc:Depends},
+         ${phonon:Recommended-Backend} | phonon-backend
+Suggests: phonon-backend-gstreamer,
+          phonon-backend-mplayer,
+          ${phonon:Recommended-Backend}
+Breaks: phonon-backend-xine (<< 4:4.6.0.0)
 Description: multimedia framework from KDE - metapackage
  Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
  layer for capturing, mixing, processing, and playing audio and video content.
@@ -28,8 +37,11 @@
 Package: libphonon-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends}, ${misc:Depends}, libphonon4 (= ${binary:Version}),
- ${sameVersionDep:libqt4-dev:libphonon4}, phonon-backend-null | phonon
+Depends: libphonon4 (= ${binary:Version}),
+         phonon-backend-null | phonon,
+         ${misc:Depends},
+         ${sameVersionDep:libqt4-dev:libphonon4},
+         ${shlibs:Depends}
 Description: multimedia framework from KDE - development files
  Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
  layer for capturing, mixing, processing, and playing audio and video content.
@@ -39,8 +51,10 @@
 
 Package: libphonon4
 Architecture: any
+Multi-Arch: same
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: phonon-backend-xine (<< 4:4.6.0really4.3.80)
 Description: multimedia framework from KDE - core library
  Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
@@ -52,8 +66,9 @@
 Package: libphononexperimental-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libphononexperimental4 (= ${binary:Version}),
- ${sameVersionDep:libqt4-dev:libphononexperimental4}
+Depends: libphononexperimental4 (= ${binary:Version}),
+         ${misc:Depends},
+         ${sameVersionDep:libqt4-dev:libphononexperimental4}
 Replaces: libphonon-dev (<< 4:4.6.0really4.4.4)
 Breaks: libphonon-dev (<< 4:4.6.0really4.4.4)
 Description: multimedia framework from KDE - experimental development files
@@ -67,8 +82,10 @@
 
 Package: libphononexperimental4
 Architecture: any
+Multi-Arch: same
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Provides: phononexperimental-abi-1
 Replaces: libphonon4 (<< 4:4.6.0really4.3.80)
 Breaks: libphonon4 (<< 4:4.6.0really4.3.80)
@@ -82,7 +99,8 @@
  library.
 
 Package: phonon-backend-null
-Architecture: all
+Architecture: any
+Multi-Arch: same
 Provides: phonon-backend
 Depends: libphonon4, ${misc:Depends}
 Conflicts: phonon-backend
@@ -97,8 +115,9 @@
 Package: phonon-dbg
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Section: debug
-Depends: ${misc:Depends}, libphonon4 (= ${binary:Version})
+Depends: libphonon4 (= ${binary:Version}), ${misc:Depends}
 Suggests: libphononexperimental4 (= ${binary:Version})
 Description: multimedia framework from KDE - debugging symbols
  Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
@@ -107,3 +126,10 @@
  This package contains debugging symbols for the Phonon library and its main
  back-ends. Install it if you want to report a crash or debug a problem with
  Phonon or its back-ends.
+
+Package: phonon-backend-xine
+Architecture: all
+Depends: phonon-backend-vlc
+Description: transitional package to aid switching to phonon-backend-vlc
+ This is a transitional dummy package to aid switching to phonon-backend-vlc.
+ It can be safely removed.
