=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 dh = --dbg-package=phonon-dbg
 
@@ -11,7 +13,7 @@
 RECOMMENDED_PHONON_BACKEND := phonon-backend-vlc
 
 override_dh_auto_configure:
-	$(overridden_command) -- -DPLUGIN_INSTALL_DIR=/usr/lib/qt4/
+	$(overridden_command) -- -DPHONON_INSTALL_QT_EXTENSIONS_INTO_SYSTEM_QT=ON -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH)
 
 # shlibs is needed for library-packages.mk (strict shlibs) to work
 override_dh_makeshlibs:
